<?php

use App\Http\Controllers\AreaController;
use App\Http\Controllers\Billing\ClientBillingCycleChangeController;
use App\Http\Controllers\ClientEditController;
use App\Http\Controllers\ClientSessionController;
use Illuminate\Support\Facades\Route;

Route::get('checkUsernameOnEdit', [ClientEditController::class, 'checkUsernameOnEdit'])->name('checkUsernameOnEdit');
Route::get('getResellerWiseArea', [AreaController::class, 'getResellerWiseArea'])->name('getResellerWiseArea');
Route::get('delete-online-pop-clients/{id}/{type}', [ClientSessionController::class, 'deleteOnlinePopClients'])->name('delete-online-pop-clients');
Route::get('getBillingCyclesByPopId', [ClientBillingCycleChangeController::class, 'getBillingCyclesByPopId'])->name('getBillingCyclesByPopId');
Route::get('getBillingCyclesByResellerId', [ClientBillingCycleChangeController::class, 'getBillingCyclesByResellerId'])->name('getBillingCyclesByResellerId');
Route::get('getBillingCyclesByClientId', [ClientBillingCycleChangeController::class, 'getBillingCyclesByClientId'])->name('getBillingCyclesByClientId');
